package com.qmth.themis.business.dto.response;

import com.qmth.themis.business.enums.MonitorVideoSourceEnum;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 监控stream dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/2/19
 */
public class MonitorStreamDto implements Serializable {

    @ApiModelProperty(name = "监控源")
    private MonitorVideoSourceEnum name;

    @ApiModelProperty(name = "监控源id")
    private String streamId;

    @ApiModelProperty(name = "转录id")
    private String recordId;

    public MonitorStreamDto() {

    }

    public MonitorStreamDto(MonitorVideoSourceEnum name, String streamId, String recordId) {
        this.name = name;
        this.streamId = streamId;
        this.recordId = recordId;
    }

    public String getRecordId() {
        return recordId;
    }

    public void setRecordId(String recordId) {
        this.recordId = recordId;
    }

    public MonitorVideoSourceEnum getName() {
        return name;
    }

    public void setName(MonitorVideoSourceEnum name) {
        this.name = name;
    }

    public String getStreamId() {
        return streamId;
    }

    public void setStreamId(String streamId) {
        this.streamId = streamId;
    }
}
